%define major	8
%define libname	%mklibname phonenumber %{major}
%define devname	%mklibname phonenumber -d

Name:		libphonenumber
Version:	8.12.15
Release:	%mkrel 2
Summary:	Library for parsing, formatting, and validating international phone numbers
License:	ASL 2.0
Group:		System/Libraries
Url:		https://github.com/google/libphonenumber
Source0:	https://github.com/google/libphonenumber/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	java
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(icu-i18n) >= 4.4
BuildRequires:	pkgconfig(icu-uc) >= 4.4
BuildRequires:	pkgconfig(protobuf) >= 2.4

%description
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for parsing, formatting, and validating international phone numbers
Group:		System/Libraries

%description -n	%{libname}
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers. The Java version is optimized
for running on smartphones, and is used by the Android framework since 4.0
(Ice Cream Sandwich).

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	phonenumber-devel = %{version}-%{release}

%description -n	%{devname}
This package provides libraries and header files for developing applications
that use libphonenumber.

#------------------------------------------------

%prep
%autosetup -p1

%build
cd cpp
# Enabling the geocoder breaks quite a lot due to broken cmakelists
%cmake -DBUILD_STATIC_LIB=OFF \
       -DBUILD_SHARED_LIB=ON \
       -DBUILD_TESTING=ON \
       -DBUILD_GEOCODER=OFF
%cmake_build

%install
cd cpp
%cmake_install

%files -n %{libname}
%license LICENSE*
%{_libdir}/libphonenumber.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libphonenumber.so
%{_includedir}/phonenumbers/


%changelog
* Thu Dec 31 2020 wally <wally> 8.12.15-2.mga8
+ Revision: 1666777
- rebuild for boost 1.75.0

* Sat Dec 26 2020 daviddavid <daviddavid> 8.12.15-1.mga8
+ Revision: 1663796
- new version: 8.12.15

* Sun Dec 20 2020 wally <wally> 8.12.14-3.mga8
+ Revision: 1662019
- rebuild for boost 1.74.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 8.12.14-2.mga8
+ Revision: 1661001
- rebuild for protobuf

* Tue Dec 15 2020 daviddavid <daviddavid> 8.12.14-1.mga8
+ Revision: 1657658
- new version: 8.12.14

* Wed Dec 02 2020 daviddavid <daviddavid> 8.12.13-1.mga8
+ Revision: 1651547
- new version: 8.12.13

* Mon Nov 30 2020 luigiwalser <luigiwalser> 8.12.12-2.mga8
+ Revision: 1650718
- rebuild for protobuf

* Sun Nov 08 2020 daviddavid <daviddavid> 8.12.12-1.mga8
+ Revision: 1643823
- new version: 8.12.12

* Thu Oct 22 2020 daviddavid <daviddavid> 8.12.11-1.mga8
+ Revision: 1638551
- new version: 8.12.11

* Tue Aug 25 2020 daviddavid <daviddavid> 8.12.8-1.mga8
+ Revision: 1618835
- new version: 8.12.8

* Wed Jul 15 2020 daviddavid <daviddavid> 8.12.7-1.mga8
+ Revision: 1606237
- new version: 8.12.7

* Wed Jul 01 2020 wally <wally> 8.12.6-3.mga8
+ Revision: 1601037
- rebuild for icu 67.1

* Sun Jun 28 2020 daviddavid <daviddavid> 8.12.6-2.mga8
+ Revision: 1600170
- rebuild for new protobuf 3.12.3

* Sun Jun 21 2020 daviddavid <daviddavid> 8.12.6-1.mga8
+ Revision: 1598254
- new version: 8.12.6

* Wed Jun 17 2020 daviddavid <daviddavid> 8.12.5-1.mga8
+ Revision: 1594184
- new version: 8.12.5

* Tue May 19 2020 daviddavid <daviddavid> 8.12.3-1.mga8
+ Revision: 1586129
- new version: 8.12.3

* Sun May 03 2020 wally <wally> 8.12.2-2.mga8
+ Revision: 1578074
- rebuild for boost 1.73.0

* Thu Apr 30 2020 daviddavid <daviddavid> 8.12.2-1.mga8
+ Revision: 1573437
- new version: 8.12.2

* Sat Apr 04 2020 wally <wally> 8.12.1-2.mga8
+ Revision: 1564473
- rebuild for new icu 66.1

* Thu Apr 02 2020 daviddavid <daviddavid> 8.12.1-1.mga8
+ Revision: 1563947
- new version: 8.12.1

* Tue Mar 31 2020 daviddavid <daviddavid> 8.12.0-1.mga8
+ Revision: 1562505
- new version: 8.12.0

* Thu Feb 20 2020 umeabot <umeabot> 8.11.3-2.mga8
+ Revision: 1547269
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 8.11.3-1.mga8
+ Revision: 1487773
- initial package libphonenumber (for plasma-phone-components)

